Package: org.apache.groovy.metaclass

## [Java] Class MetaClass<T>

- org.apache.groovy.metaclass.MetaClass

-     @Incubating
      public final class MetaClass<T>
      extends Object

  A MetaClass within Groovy defines the behaviour of any given Groovy or Java class

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaMethod` | `getMethod(String name, Class[] parameters)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public MetaMethod getMethod(String name, Class[] parameters)